summaryrefslogtreecommitdiffstats
path: root/source.local/l/pilot-link
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
committer Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
commit69dd99f961988fa15da8d7f0d63b62f3385419c3 (patch)
treed57eb3e85e1d08e7815787de26946ee42c398b66 /source.local/l/pilot-link
downloadalienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.gz
alienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.xz
Initial commit of a Slackware cross-arch bootstrap framework.
Diffstat (limited to 'source.local/l/pilot-link')
-rw-r--r--source.local/l/pilot-link/pilot-link-0.12.5.tar.bz2.asc7
-rwxr-xr-xsource.local/l/pilot-link/pilot-link.SlackBuild155
-rw-r--r--source.local/l/pilot-link/pilot-link.no-PERL_POLLUTE-macros.patch.gzbin0 -> 5223 bytes
-rw-r--r--source.local/l/pilot-link/pilot-link.png14.diff.gzbin0 -> 645 bytes
-rw-r--r--source.local/l/pilot-link/slack-desc19
5 files changed, 181 insertions, 0 deletions
diff --git a/source.local/l/pilot-link/pilot-link-0.12.5.tar.bz2.asc b/source.local/l/pilot-link/pilot-link-0.12.5.tar.bz2.asc
new file mode 100644
index 0000000..6745839
--- /dev/null
+++ b/source.local/l/pilot-link/pilot-link-0.12.5.tar.bz2.asc
@@ -0,0 +1,7 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.4.10 (GNU/Linux)
+
+iEYEABECAAYFAktuRiMACgkQkRQERnB1rkoB2gCghwvKuUd4AnbX0e4uincbdr97
+10sAn1p5rad89TaRpWSV8wnBha8jSfd9
+=8yBj
+-----END PGP SIGNATURE-----
diff --git a/source.local/l/pilot-link/pilot-link.SlackBuild b/source.local/l/pilot-link/pilot-link.SlackBuild
new file mode 100755
index 0000000..b686281
--- /dev/null
+++ b/source.local/l/pilot-link/pilot-link.SlackBuild
@@ -0,0 +1,155 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+VERSION=${VERSION:-0.12.5}
+BUILD=${BUILD:-4}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-pilot-link
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf pilot-link-$VERSION
+tar xvf $CWD/pilot-link-$VERSION.tar.bz2 || exit 1
+cd pilot-link-$VERSION
+
+zcat $CWD/pilot-link.png14.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/pilot-link.no-PERL_POLLUTE-macros.patch.gz | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var/lib \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/pilot-link-$VERSION \
+ --enable-static=no \
+ --enable-conduits \
+ --enable-threads \
+ --enable-libusb \
+ --with-libpng \
+ --with-perl \
+ --with-python \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$TARGET
+
+make -i $NUMJOBS || make -i || exit 1
+make -i install DESTDIR=$PKG || exit 1
+
+# Get rid of perllocal.pod:
+( cd $PKG ; find . -name perllocal.pod -exec rm "{}" \; )
+
+# Right.
+mkdir -p $PKG/lib/udev/rules.d
+mv $PKG/usr/share/pilot-link/udev/60-libpisock.rules \
+ $PKG/lib/udev/rules.d/80-libpisock.rules
+rmdir $PKG/usr/share/pilot-link/udev
+
+# Fix the mode set by the default udev rules
+sed -i "s/0664/0660/g" $PKG/lib/udev/rules.d/80-libpisock.rules
+
+# Dropped one.
+if [ -d $PKG/usr/share/man/man3 ]; then
+ mkdir -p $PKG/usr/man/man3
+ mv $PKG/usr/share/man/man3/* $PKG/usr/man/man3
+ rmdir $PKG/usr/share/man/man3 2> /dev/null
+ rmdir $PKG/usr/share/man 2> /dev/null
+ rmdir $PKG/usr/share 2> /dev/null
+fi
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/pilot-link-$VERSION
+cp -a \
+ AUTHORS COPYING* INSTALL NEWS README* \
+ $PKG/usr/doc/pilot-link-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+# Install man pages:
+mkdir -p $PKG/usr/man/man{1,7}
+cp -a doc/man/*.1 $PKG/usr/man/man1
+cp -a doc/man/*.7 $PKG/usr/man/man7
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/pilot-link-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source.local/l/pilot-link/pilot-link.no-PERL_POLLUTE-macros.patch.gz b/source.local/l/pilot-link/pilot-link.no-PERL_POLLUTE-macros.patch.gz
new file mode 100644
index 0000000..9a930dd
--- /dev/null
+++ b/source.local/l/pilot-link/pilot-link.no-PERL_POLLUTE-macros.patch.gz
Binary files differ
diff --git a/source.local/l/pilot-link/pilot-link.png14.diff.gz b/source.local/l/pilot-link/pilot-link.png14.diff.gz
new file mode 100644
index 0000000..44fe195
--- /dev/null
+++ b/source.local/l/pilot-link/pilot-link.png14.diff.gz
Binary files differ
diff --git a/source.local/l/pilot-link/slack-desc b/source.local/l/pilot-link/slack-desc
new file mode 100644
index 0000000..de19fb3
--- /dev/null
+++ b/source.local/l/pilot-link/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pilot-link: pilot-link (library for communicating with PalmOS devices)
+pilot-link:
+pilot-link: This is a library for communicating with Palm Computing, Inc. Palm
+pilot-link: Devices as well as the Handspring Visor, TRGPro, and other devices
+pilot-link: which conform to this standard (PalmOS licensed devices).
+pilot-link:
+pilot-link: pilot-link is used by KPilot.
+pilot-link:
+pilot-link:
+pilot-link:
+pilot-link: